[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# sched_yield

Yield the processor to another thread.

## Declaration

Source position: linux.pp line 260

`procedure sched_yield;`

## Description

sched_yield yields the processor to another thread. The current thread is put at the back of its queue. If there is only 1 thread in the application, the thread continues to run. The call always returns zero.